## Build your own prediction models FAQ’s

### How does the Meter work?
The Meter works by emitting light at specific wavelengths and then measuring how much light bounces back from whatever object is being measured. See more details [here](https://our-sci.gitlab.io/manufacturing/reflectometer-tutorials/how_it_works/)  

### What can be predicted using the Meter?
In theory, many properties can be predicted using light reflectance if a prediction model is developed.

In practice, the ability to develop a prediction model is dependent on whether the parameter of interest reflects light in the wavelengths emitted by the Meter (365 – 940 nm wavelengths).

### What models are already available using the Meter?
We have released beta prediction models for nutritional outcomes in some [foods](https://our-sci.gitlab.io/manufacturing/reflectometer-tutorials/nutrient_density/) and are actively developing a beta prediction model for [soil carbon](https://our-sci.gitlab.io/manufacturing/reflectometer-tutorials/SOC/).

### What data is required to develop a prediction model?
Prediction models work by correlating the pattern of light reflection measured by the Meter to a quantitative measurement (usually lab-based data). For example, the BI lab generates total antioxidant and polyphenol measurements. We then use modelling approaches to predict the antioxidant and polyphenol values, which are known from the lab work, from the pattern of light reflection. 

So, developing prediction models for the Meter requires:

1. Quantitative measurements of the outcomes that the Meter will predict for.
2. Reflection spectra generated by the Meter for the samples in #1. 
Depending on the strength of the relationship between the reflection spectra and the outcome being predicted, it may take anywhere from 20 to 500 samples, with quantitative outcomes and reflection spectra, to develop effective prediction models.

### Is lab data needed to develop prediction models?
The most important requirement to develop a good prediction model is to have Direct Measurements of the parameter you want to predict. 

Often, that data is generated in a lab. For example, we measure antioxidants, total polyphenols, and soil carbon content in the lab and use that data to predict relationships between Meter spectra and lab-based outcomes. However, if there is another way to directly measure the parameter you want to predict, then you do not need lab data.


### How are prediction models developed?
To develop prediction models, collect spectral readings (the light bouncing back from the object being measured) AND measurement data for the parameter you are trying to predict. Once you have both sets of data, there are numerous modelling techniques to predict parameters based on their spectral signatures. We often use Random Forest ensemble machine learning models to develop predictions, but Multiple Linear Regression or other models may be appropriate depending on the specific goals of the model and the properties of the materials being measured.


### If I develop my own model, how can I deploy it so I can get real time predictions?
SurveyStack, the software platform that connects to the Meter, enables users to write scripts in surveys for super-flexible feedback and calculation, including prediction models using the Meter.

We can help you develop and deploy prediction models. Contact us at info@our-sci.net.
